Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans.customizer.render
Class CellRenderer

    java.lang.Object
      datechooser.beans.customizer.render.CellRenderer

All Implemented Interfaces:
  javax.swing.table.TableCellRenderer

Direct Known Subclasses:
  CaptionCellRenderer, ValueCellRenderer

    public abstract class CellRenderer

extends java.lang.Object
implements javax.swing.table.TableCellRenderer

Renderer for all cells (properties and names).
Рисовальщик всех ячеек со свойствами (как названий, так и значений)

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  `CaptionCellRenderer`, `ValueCellRenderer`

Constructor Summary
`CellRenderer(PropertyDescriptorsHolder holder)`

Method Summary
`protected abstract java.awt.Component` | `getRenderer(java.beans.PropertyDescriptor propertyDescriptor, java.beans.PropertyEditorSupport propertyEditorSupport, javax.swing.JTable table, boolean isSelected, boolean hasFocus)`
`java.awt.Component` | `getTableCellRendererComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, boolean hasFocus, int row, int column)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellRenderer

    public CellRenderer(PropertyDescriptorsHolder holder)

Method Detail

### getTableCellRendererComponent

    public java.awt.Component getTableCellRendererComponent(javax.swing.JTable table,
                                                            java.lang.Object value,
                                                            boolean isSelected,
                                                            boolean hasFocus,
                                                            int row,
                                                            int column)

  Specified by:
    `getTableCellRendererComponent` in interface `javax.swing.table.TableCellRenderer`

### getRenderer

    protected abstract java.awt.Component getRenderer(java.beans.PropertyDescriptor propertyDescriptor,
                                                      java.beans.PropertyEditorSupport propertyEditorSupport,
                                                      javax.swing.JTable table,
                                                      boolean isSelected,
                                                      boolean hasFocus)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD